import org.junit.jupiter.api.Test;

class LanguageTest {

    private Language deutsch = new Language("de");
    private Language english = new Language("en");
    private Language viet = new Language("vn");
    private Language def = new Language("dasd");

    @Test
    void setOutputLanguage() {
        deutsch.setOutputLanguage("en");
    }

    @Test
    void outputWinnerText() {
        deutsch.outputWinnerText(1);
        english.outputWinnerText(2);
        viet.outputWinnerText(3);
    }

    @Test
    void outputGameOverText(){
        deutsch.outputGameOverText();
        english.outputGameOverText();
        viet.outputGameOverText();
    }

    @Test
    void outputTieText(){
        deutsch.outputTieText();
        english.outputTieText();
        viet.outputTieText();
    }

    @Test
    void outputNextPlayerText() {
        deutsch.outputNextPlayerText(1);
        english.outputNextPlayerText(2);
        viet.outputNextPlayerText(3);
    }

    @Test
    void outputWrongFieldSelected() {
        deutsch.outputWrongFieldSelected();
        english.outputWrongFieldSelected();
        viet.outputWrongFieldSelected();
    }
}